Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.mT

property

property ma.masked_array.mT

  Return the matrix-transpose of the masked array.

  The matrix transpose is the transpose of the last two dimensions, even if the array is of higher dimension.

  Added in version 2.0.

  Returns:
    result: MaskedArray

      The masked array with the last two dimensions transposed

  Raises:
    ValueError

      If the array is of dimension less than 2.

  See also

  `ndarray.mT`

    Equivalent method for arrays